@extends('cms::admin.layouts.app')
@php
    /**
     * @var \TDevAgency\Erp\Models\Delivery $delivery
    */
@endphp
@section('content')
    <div class="card card-body">
        <div class="table-responsive">
            <table class="table-styled">
                <thead>
                <tr>
                    <td data-colspan>
                        <form class="input-group" action="{{route('cms.deliveries.index')}}">
                            <input type="search" name="q" class="form-control"
                                   value="{{Request::query('q')}}"
                                   placeholder="@lang('erp::erp.search_delivery')">
                            <div class="input-group-append">
                                <button class="btn btn-outline-success"><i class="fas fa-search"></i>
                                    <span class="d-none d-md-inline">@lang('erp::erp.search')</span></button>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr class="collspan-count">
                    <th class="fit-width">@sortablelink('delivery_number', trans('erp::erp.delivery_number'))</th>
                    <th class="fit-width">@sortablelink('price_national_currency',
                        trans('erp::erp.price_national_currency'))
                    </th>
                    <th class="fit-width">@sortablelink('price_in_currency', trans('erp::erp.price_in_currency'))</th>
                    <th class="fit-width">@sortablelink('delivery_date', trans('erp::erp.delivery_date'))</th>
                    <th class="fit-width text-right"><a href="{{route('cms.deliveries.create')}}"
                                                        class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_delivery')</span>
                        </a>
                    </th>
                </tr>
                </thead>
                <tbody>
                @forelse($deliveries as $delivery)
                    <tr>
                        <th>{{$delivery->delivery_number}}</th>
                        <td>{{$delivery->price_national_currency}}</td>
                        <td>{{$delivery->price_in_currency}} {{Config::get('erp.currencies.' . $delivery->currency . '.code')}}</td>
                        <td>{{$delivery->delivery_date}}</td>
                        <td class="text-right text-nowrap">
                            <a href="{{route('cms.deliveries.edit', $delivery->id)}}"
                               class="btn btn-outline-success btn-sm"><i class="fas fa-edit"></i>
                                <span class="d-none d-md-inline">@lang('erp::erp.edit_delivery')</span></a>

                            <form method="post" @submit="confirmDelete" class="d-inline"
                                  action="{{route('cms.deliveries.destroy', $delivery->id)}}">
                                @csrf
                                @method('DELETE')
                                <button class="btn btn-outline-danger btn-sm">
                                    <i class="fas fa-trash"></i>
                                    <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>
                                </button>
                            </form>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" data-colspan>@lang('cms-fixed::admin.no_data')</td>
                    </tr>
                @endforelse
                </tbody>
                <tfoot>
                <tr>
                    <td data-colspan="1"> {!! $deliveries->appends(Request::except('page'))->render() !!}</td>
                    <td class="text-right text-nowrap">
                        <a href="{{route('cms.deliveries.create')}}" class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_delivery')</span>
                        </a>
                    </td>
                </tr>
                </tfoot>

            </table>
        </div>
    </div>
@endsection

@push('styles')
    <style>
    .img-fluid {
        max-width: 120px;
        max-height: 48px;
    }
    </style>
@endpush
